=== debian/changelog ===
gr-fcdproplus (3.7.25.4b6464b-2~bpo8+2) jessie-backports; urgency=medium

  * Re-Rebuild for jessie-backports
    (ensure build with gnuradio 3.7.10.1-1~bpo8+1 on non-amd64 arch)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Apr 2017 23:44:48 -0400

gr-fcdproplus (3.7.25.4b6464b-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 04 Sep 2016 10:27:56 -0400

gr-fcdproplus (3.7.25.4b6464b-2) unstable; urgency=medium

  * Breaks/Replaces older library packages (Closes: #830754, #830787)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jul 2016 21:41:09 -0400

gr-fcdproplus (3.7.25.4b6464b-1) unstable; urgency=medium

  * v3.7.2-rc1-6-g4b6464b
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jul 2016 17:01:59 -0400

gr-fcdproplus (3.7.24.cf5db38-5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Jan 2016 13:07:16 -0500
