=== debian/control ===
Source: gr-fcdproplus
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               doxygen,
               gnuradio (>>3.7.9.3),
               gnuradio-dev (>> 3.7.9.3),
               libasound2-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-system-dev,
               libhidapi-dev,
               liblog4cpp5-dev,
               libusb-1.0-0-dev,
               pkg-config,
               python,
               python-dev,
               swig
Standards-Version: 3.9.8
Homepage: https://github.com/dl1ksv/gr-fcdproplus
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-fcdproplus.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-fcdproplus.git/

Package: gr-fcdproplus
Architecture: any
Depends: libgnuradio-fcdproplus3.7.10 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, udev
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 .
 This package provides a Python library as well as
 a gnuradio companion source object.

Package: libgnuradio-fcdproplus3.7.10
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fcdproplus
Breaks: libgnuradio-fcdproplus0
Replaces: libgnuradio-fcdproplus0
Description: Funcube Dongle Pro Plus controller for GNU Radio (runtime)
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 .
 This package provides a shared library.
