=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(DEVICE_STRING "FUNcube Dongle V2.0")
else()
  set(DEVICE_STRING "''")
endif()
configure_file (
	fcdproplus.block.yml.in
	fcdproplus.block.yml
	ESCAPE_QUOTES @ONLY
)

install(FILES
	${CMAKE_BINARY_DIR}/grc/fcdproplus.block.yml
  fcdproplus_control.block.yml
  fcd_control.block.yml
  fcd.block.yml
	DESTINATION "${GRC_BLOCKS_DIR}"

)
