=== swig/CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,8 @@
 ########################################################################
 # Setup swig generation
 ########################################################################
-foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
-    list(APPEND GR_SWIG_INCLUDE_DIRS ${COMMON_INCLUDE_DIRS} ${incdir}/gnuradio/swig)
-endforeach(incdir)
+set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
+set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)
 
 set(GR_SWIG_LIBRARIES gnuradio-fcdproplus)
 set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/fcdproplus_swig_doc.i)
