=== debian/changelog ===
gr-fcdproplus (3.8~20190817-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed DB from debhelper (>= 12~) to debhelper-compat (=12)
  * Removed debian/compat file

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Apr 2020 00:45:51 -0400

gr-fcdproplus (3.8~20190817-3) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does
  * also add depends on liborc-0.4-dev (Closes: #948937)
    thanks peter!

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 15 Jan 2020 00:06:08 -0500

gr-fcdproplus (3.8~20190817-2) unstable; urgency=medium

  * new watch file. Thanks Kali folk! (Closes: #888853)
  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 19:08:56 -0400

gr-fcdproplus (3.8~20190817-1) experimental; urgency=medium

  * New upstream 3.8 port

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 17 Aug 2019 21:03:19 -0400

gr-fcdproplus (3.7.25.4b6464b-5) unstable; urgency=medium

  * add breaks/replaces line to hint upgrade (Closes: #875875)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 16 Sep 2017 03:25:39 -0400

gr-fcdproplus (3.7.25.4b6464b-4) unstable; urgency=medium

  * install .pc file correctly (Closes: #875436)
  * install AppStream metainfo.xml file

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 14 Sep 2017 17:56:18 -0400

gr-fcdproplus (3.7.25.4b6464b-3) unstable; urgency=medium

  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 00:02:30 -0400
