=== debian/control ===
Source: gr-fcdproplus
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (=12),
	       dh-python,
               doxygen,
               gnuradio (>=3.8),
               gnuradio-dev (>> 3.8),
               libasound2-dev,
               libboost-dev,
               libboost-filesystem-dev,
	       libboost-program-options-dev,
	       libboost-regex-dev,
               libboost-system-dev,
	       libboost-thread-dev,
	       libgmp-dev,
               libhidapi-dev,
	       libjack-dev,
               liblog4cpp5-dev,
	       liborc-0.4-dev,
	       libpulse-dev,
               libusb-1.0-0-dev,
               pkg-config,
	       portaudio19-dev,
               python3-dev,
	       python3-six,
               swig
Standards-Version: 4.4.0
Homepage: https://github.com/dl1ksv/gr-fcdproplus
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pkg-gr-fcdproplus
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pkg-gr-fcdproplus.git

Package: gr-fcdproplus
Architecture: any
Depends: ${python3:Depends},
	 libgnuradio-fcdproplus3.8.0 (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr, udev
Description: Funcube Dongle Pro Plus controller for GNU Radio
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 .
 This package provides a Python library as well as
 a gnuradio companion source object.

Package: libgnuradio-fcdproplus3.8.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fcdproplus
Description: Funcube Dongle Pro Plus controller for GNU Radio (runtime)
 Support hardware for software radio using the fcdproplus
 which provides sampled RF IQ data as a USB audio stereo
 data stream. Control is done over USB HID protocol.
 .
 Both the Funcube Dongle Pro and Pro+ are supported
 by this package. Previous Funcube Dongle device support
 is already included in gnuradio itself.
 .
 This package provides a shared library.
