=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"

override_dh_install:
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/fcdproplus/*.pyc
	rm -f debian/tmp/usr/lib/python3.7/dist-packages/fcdproplus/*.pyo
	#mkdir -p debian/tmp/usr/include/fcdproplus
	#cp include/fcdproplus/*.h debian/tmp/usr/include/fcdproplus/
	dh_install

get-orig-source:
	git clone https://github.com/dl1ksv/gr-fcdproplus
	cd gr-fcdproplus && git archive --format=tar --prefix=gr-fcdproplus-$(VER)/  $(GITREV) | xz > ../gr-fcdproplus_$(VER).orig.tar.xz
	rm -rf gr-fcdproplus

override_dh_strip:
	dh_strip --no-automatic-dbgsym
